Bug 114047 - Keyboard shortcut Option + Left/Right Arrow Key Should Scroll to the Previous/Next Word not Reduce/Increase the Column Width
Summary: Keyboard shortcut Option + Left/Right Arrow Key Should Scroll to the Previous...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Mac
  Show dependency treegraph
 
Reported: 2017-11-25 17:12 UTC by gurol
Modified: 2021-10-14 03:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gurol 2017-11-25 17:12:34 UTC
Description:
While in cell editing, option left or right arrows should skip to cursor to the previous/next word instead of decreasing/increasing the column width

Steps to Reproduce:
1.Double-click a cell with text comprising many words
2.Press Option and Right Arrow Key

Actual Results:  
The width of the column is changing.

Expected Results:
Scroll to the next word's beginning (like in Microsoft Excel)


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Regina Henschel 2017-11-26 13:57:33 UTC
On Windows it is Ctrl+Right Arrow to move to next word. Have you tried Command+Right Arrow? In most cases using Command key instead of Ctrl key should work.
Comment 2 gurol 2017-11-26 17:16:57 UTC
On Mac, default shortcut key for moving word-by-word is Option and Left/Right arrow. Command and Left/Right goes to the beginning/ending in the current line. (Not only Microsoft Excel on Mac but in other programs such as TextEdit.
Comment 3 Alex Thurgood 2017-11-27 10:36:51 UTC
Confirming with

Version: 6.0.0.0.beta1
Build ID: 97471ab4eb4db4c487195658631696bb3238656c
CPU threads: 4; OS: Mac OS X 10.13.1; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group threaded
Comment 4 Alex Thurgood 2017-11-27 10:42:02 UTC
This behaviour has been there since

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

setting version to InheritedfromOOo
Comment 5 Alex Thurgood 2017-11-27 10:44:54 UTC
In comparison, Apple's own 

Numbers version 4.3.1 (5249)

behaves in the expected Apple way, i.e. using the Option+arrow key to jump from word to word.
Comment 6 Regina Henschel 2017-11-27 11:11:50 UTC
What does LibreOffice use for word wise cursor movement in normal text in Writer?
Is the short cut Ctrl+Arrow already used on a Mac for something, or can it be used as an alternative for changing column width?
Comment 7 gurol 2017-11-27 17:48:39 UTC
In LibreOffice Writer on MacOS, Option + Left/Right Arrow scrolls word-by-word.

In macOS Ctrl + Left Arrow key switch the user desktop into the special desktop named dashboard (with some sort of widgets). Ctrl + Right Arrow does not have a special behaviour.
Comment 8 Alex Thurgood 2017-11-28 10:38:42 UTC
Ctrl+left/right arrow is the MacOS/OSX system shortcut for switching desktop spaces.
Comment 9 Regina Henschel 2017-11-28 14:05:24 UTC
So what is your suggestion for shortcuts for changing the column width for Mac? It has to be suitable for all Writer, Calc, Draw and Impress.
Comment 10 gurol 2017-11-28 15:12:47 UTC
(fn + Option + Left/Righ Arrow) may be suitable.

By the way, I realized that (Shift + Option + Right Arrow) key combination arranges the current column's width in a best fit in calc. Therefore, this shortcut should also changed accordingly (i.e. fn + Shift + Option + Right Arrow).
Comment 11 Baltasar 2018-07-31 10:30:07 UTC
I strongly support the view that this is unexpected behaviour, i.e. a bug.  Actually, I have just registered to post it and found this when searching.

Calc is the only application I use that does not use the standard shortcuts (don't know about Impress which I never use. A brief test shows me that the behaviour is normal (i.e. option+arrows jumping words, cmd+arrows jumping towards beginning/end of line). Writer behaves as I would expect it on my mac).

As for a suggestion: what do the other LibreOffice apps use? (If somebody knows it). Fn+the keys seem viable for me, although I don't know whether that's Apple standard. Otherwise: what about Cmd+Option+Arrows (that is resize *cell* in Writer currently, as far as I can tell)?

Personally, I think it would be better not to have a combination than to have a totally unexpected one for Mac users (Mac used to be known for its consistency in UI, although Apple is apparently letting on that).
Comment 12 Cor Nouws 2019-10-14 04:07:36 UTC
Hi Hieko,
Could be easyhack-ified ?
Comment 13 Heiko Tietze 2019-10-14 07:54:56 UTC
(In reply to Cor Nouws from comment #12)
> Could be easyhack-ified ?

If you find the right code pointer it's a one-liner. But most key events in the edit engine are hard-coded and well hidden under the spaghetti pile. Tried https://opengrok.libreoffice.org/xref/core/sc/source/ui/drawfunc/fudraw.cxx?r=423d1648#360 but that's not the right place. Maybe Eike has time to help.
Comment 14 QA Administrators 2021-10-14 03:47:00 UTC
Dear gurol,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug